Get Specific Test Result
curl --request GET \
--url https://api.hixbe.com/speedtest/results/{id} \
--header 'Xerobi-Version: <xerobi-version>'import requests
url = "https://api.hixbe.com/speedtest/results/{id}"
headers = {"Xerobi-Version": "<xerobi-version>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Xerobi-Version': '<xerobi-version>'}};
fetch('https://api.hixbe.com/speedtest/results/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hixbe.com/speedtest/results/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Xerobi-Version: <xerobi-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hixbe.com/speedtest/results/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Xerobi-Version", "<xerobi-version>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hixbe.com/speedtest/results/{id}")
.header("Xerobi-Version", "<xerobi-version>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hixbe.com/speedtest/results/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Xerobi-Version"] = '<xerobi-version>'
response = http.request(request)
puts response.read_body{
"success": false,
"timestamp": "2023-11-07T05:31:56Z",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"success": false,
"timestamp": "2025-12-07T10:30:00.000Z",
"error": {
"code": "not_found",
"message": "Result with ID 999 not found",
"type": "NotFoundError"
}
}Get Test Result
Retrieves detailed information for a specific test result by ID.
Use Cases:
- View individual test details
- Link to specific test results
- Compare specific tests
- Retrieve test for reporting
GET
/
results
/
{id}
Get Specific Test Result
curl --request GET \
--url https://api.hixbe.com/speedtest/results/{id} \
--header 'Xerobi-Version: <xerobi-version>'import requests
url = "https://api.hixbe.com/speedtest/results/{id}"
headers = {"Xerobi-Version": "<xerobi-version>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Xerobi-Version': '<xerobi-version>'}};
fetch('https://api.hixbe.com/speedtest/results/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hixbe.com/speedtest/results/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Xerobi-Version: <xerobi-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hixbe.com/speedtest/results/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Xerobi-Version", "<xerobi-version>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hixbe.com/speedtest/results/{id}")
.header("Xerobi-Version", "<xerobi-version>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hixbe.com/speedtest/results/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Xerobi-Version"] = '<xerobi-version>'
response = http.request(request)
puts response.read_body{
"success": false,
"timestamp": "2023-11-07T05:31:56Z",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"success": false,
"timestamp": "2025-12-07T10:30:00.000Z",
"error": {
"code": "not_found",
"message": "Result with ID 999 not found",
"type": "NotFoundError"
}
}Retrieve detailed information about a specific speed test result by ID.